# Get banking asset balance Get banking asset balance using asset ID # OpenAPI definition ```json { "openapi": "3.0.3", "info": { "title": "Banking - Assets", "version": "1.0.0", "description": "API to handle banking assets operations and management", "contact": { "name": "API Support", "url": "https://developers.pismo.io/support" }, "license": { "name": "Copyright Pismo" } }, "servers": [ { "url": "https://sandbox.pismolabs.io/assets-accrual", "description": "Sandbox API server for testing" }, { "url": "https://sandbox.pismolabs.io/assets-accrual", "description": "Sandbox API for oauth2" }, { "url": "https://api.pismolabs.io/assets-accrual", "description": "API server for production" } ], "security": [ { "BearerAuth": [] } ], "tags": [ { "name": "Assets", "description": "Asset endpoints" } ], "components": { "parameters": { "AssetID": { "name": "asset_id", "in": "path", "description": "Client assigned asset ID. Must consist of the characters [a-z,A-Z,0-9,-,:] with a range from 1 to 128.\n", "required": true, "schema": { "type": "string" }, "example": "2345" }, "CorrelationID": { "in": "header", "name": "x-cid", "schema": { "type": "string" }, "description": "The Correlation IDentifier field is used to link related API requests and events. The x-cid can help the Pismo engineering team track everything related to a call. You can find the x-cid field in the response header from an API endpoint call.\n\nIf this field isn't passed, one is automatically generated.\n", "example": "5bb05174-4e80-11ea-b77f-2e728ce88125" }, "IssuerID": { "name": "issuer_id", "in": "path", "required": true, "description": "Issuer ID. For more information, refer to [issuer identification number](https://www.investopedia.com/terms/i/issuer-identification-number-iin.asp)", "schema": { "type": "string" }, "example": "24" } }, "schemas": { "UnitsAvailable": { "type": "number", "format": "integer", "description": "total units available after redemption operation", "example": 3000 }, "AccrualFrequency": { "type": "string", "description": "Accrual frequency:\n* `daily` — Accrual for assets daily\n* `monthly` — Accrual for assets monthly\n", "enum": [ "daily", "monthly" ], "example": "daily" }, "AccumDailyRate": { "type": "number", "format": "double", "description": "Accumulative daily rate", "example": 1.2 }, "AssetBalance": { "type": "object", "properties": { "units": { "$ref": "#/components/schemas/Units" }, "redeemed_units": { "$ref": "#/components/schemas/RedeemedUnits" }, "units_available": { "$ref": "#/components/schemas/UnitsAvailable" }, "latest_accrual_date": { "$ref": "#/components/schemas/LatestAccrualDate" }, "daily_rate": { "$ref": "#/components/schemas/DailyRate" }, "accum_daily_rate": { "$ref": "#/components/schemas/AccumDailyRate" }, "factor": { "$ref": "#/components/schemas/Factor" }, "unit_value": { "$ref": "#/components/schemas/UnitValue" }, "current_amount": { "$ref": "#/components/schemas/CurrentAmount" }, "currency": { "$ref": "#/components/schemas/Currency" }, "status": { "$ref": "#/components/schemas/Status" }, "position_date": { "$ref": "#/components/schemas/PositionDate" }, "accrual_frequency": { "$ref": "#/components/schemas/AccrualFrequency" } } }, "Currency": { "type": "string", "description": "1SO 4217 currency code", "example": "986" }, "CurrentAmount": { "type": "number", "format": "double", "description": "Current amount", "example": 45.8 }, "DailyRate": { "type": "number", "format": "double", "description": "Daily rate", "example": 1.2 }, "Factor": { "type": "string", "description": "Calculated pre-rate factor based on how many days the asset has accrued (base unit value x factor = new unit value accrued). The pre-rate factor is used to calculate how much ROI the customer can expect to receive.\n" }, "LatestAccrualDate": { "type": "string", "description": "Latest accrual date, format = yyyy/mm/dd.", "example": "2023/03/22" }, "PositionDate": { "type": "string", "description": "Updated position date, format = yyyy/mm/dd.", "example": "2023-03-22" }, "RedeemedUnits": { "type": "number", "description": "Number of redeemed units", "example": 10 }, "Status": { "type": "string", "description": "Asset status", "enum": [ "ACTIVE", "BLOCKED", "PENDING", "CANCELED", "COMPLETED", "REDEEMED" ], "example": "ACTIVE" }, "Units": { "type": "integer", "format": "int32", "description": "Number of asset units", "example": 20 }, "UnitValue": { "type": "number", "format": "double", "description": "Per unit value", "example": 65.56 } }, "securitySchemes": { "BearerAuth": { "type": "http", "scheme": "bearer", "bearerFormat": "JWT" } }, "responses": { "400BadRequest": { "description": "Bad Request" }, "401Unauthorized": { "description": "Unauthorized" }, "500InternalServerError": { "description": "Internal server error" }, "404NotFound": { "description": "Not found" } } }, "paths": { "/v1/issuer/{issuer_id}/assets/{asset_id}/balance": { "get": { "summary": "Get banking asset balance", "description": "Get banking asset balance using asset ID", "tags": [ "Assets" ], "operationId": "AssetBalance", "parameters": [ { "$ref": "#/components/parameters/CorrelationID" }, { "$ref": "#/components/parameters/IssuerID" }, { "$ref": "#/components/parameters/AssetID" } ], "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/AssetBalance" } } } }, "400": { "$ref": "#/components/responses/400BadRequest" }, "401": { "$ref": "#/components/responses/401Unauthorized" }, "404": { "$ref": "#/components/responses/404NotFound" }, "500": { "$ref": "#/components/responses/500InternalServerError" } } } } } } ```